<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flex-practice</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="wrapper">
        <div class="content">
            <div class="hi">
                <div class="container">
                    <div class="hi_row">
                        <div class="hi_body">
                            <div class="hi_title">Привет, друг!</div>
                            <ul class="hi_list">
                                <li>Никогда не сдавайся!</li>
                                <li>Сегодня ты уже знаешь
                                больше чем вчера!</li>
                                <li>Спасибо тебе за поддержку!</li>
                                <li>У тебя все получится!</li>
                            </ul>
                        </div>
                        <div class="hi_image">
                            <img class="hi_image_img" src="images/card_freelancer.JPG" alt="photo freelancer">
                        </div>
                    </div>
                </div>
            </div>
            <div class="what">
                <div class="container">
                    <div class="what_row">
                        <div class="what_image">
                            <img src="images/card_flex-container.png" alt="flex container">
                        </div>
                        <div class="what_body">
                            <div class="what_title title">
                            Что такое FlexBox?
                            </div>
                            <div class="what_text">
                                <p>Flexbox - это целый модуль, содержащий в себе набор свойств и их значений как для родителя flex-контейнера так и для его
                                дочерних элементов flex-элементов.</p>
                                <p>Основным преимуществом гибкой FLEX разметки является возможность изменять
                                ширину/высоту пространство вокруг и порядок flex-элементов, для того чтобы наилучшим образом заполнить доступное
                                пространство flex-контейнера.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="columns">
                <div class="container">
                    <div class="columns_title title">
                    Колонки с flex-контейнерами
                    </div>
                    <div class="columns_row">
                        <div class="columns_column">
                            <div class="columns_item item">
                                <div class="item_row">
                                    <div class="item_image">
                                        <img src="images/card_without-picture.png" alt="without picture">
                                    </div>
                                    <div class="item_body">
                                        <div class="item_title">The description for the image</div>
                                        <div class="item_text">Pariatur iure ab sunt nesciunt, quibusdam odio iste cumque itaque, ipsa vel exercitationem ullam quos aut nostrum cupiditate fuga quaerat quam animi dolores. Sequi itaque, unde perferendis nemo debitis dolor.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="columns_column">
                            <div class="columns_item item">
                                <div class="item_row">
                                    <div class="item_image">
                                        <img src="images/card_without-picture.png" alt="without picture">
                                    </div>
                                    <div class="item_body">
                                        <div class="item_title">The description for the image
                                        </div>
                                        <div class="item_text">Pariatur iure ab sunt nesciunt, quibusdam odio iste cumque itaque, ipsa vel exercitationem ullam quos aut nostrum cupiditate fuga quaerat quam animi dolores. Sequi itaque, unde perferendis nemo debitis dolor.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="columns_column">
                            <div class="columns_item item">
                                <div class="item_row">
                                    <div class="item_image">
                                        <img src="images/card_without-picture.png" alt="without picture">
                                    </div>
                                    <div class="item_body">
                                        <div class="item_title">The description for the image
                                        </div>
                                        <div class="item_text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nobis facilis fuga, illo at. Natus eos, eligendi illum rerum omnis porro ex, magni, explicabo veniam incidunt in quam sapiente ut ipsum.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="columns_column">
                            <div class="columns_item item">
                                <div class="item_row">
                                    <div class="item_image">
                                        <img src="images/card_without-picture.png" alt="without picture">
                                    </div>
                                    <div class="item_body">
                                        <div class="item_title">The description for the image
                                        </div>
                                        <div class="item_text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nobis facilis fuga, illo at. Natus eos, eligendi illum rerum
                                        omnis porro ex, magni, explicabo veniam incidunt in quam sapiente ut ipsum.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="vertical">
                <div class="container">
                    <div class="vertical_title title">
                        Вертикальное выравнивание
                    </div>
                    <div class="vertical_body">
                        <div class="vertical_row">
                            <div class="vertical_column">
                                <div class="vertical_item">
                                    <div class="vertical_subtitle">буду рад</div>
                                    <div class="vertical_label">подписке</div>
                                    <div class="vertical_text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tenetur fugit vel, eligendi illum, placeat quo vero
                                    reiciendis consectetur.</div>
                                    <a href="" class="vertical_btn">подписаться</a>
                                </div>
                            </div>
                            <div class="vertical_column">
                                <div class="vertical_item">
                                    <div class="vertical_subtitle">буду рад</div>
                                    <div class="vertical_label">лайку</div>
                                    <div class="vertical_text"> <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tenetur fugit vel, eligendi illum, placeat quo vero
                                    reiciendis consectetur voluptatibus atque et itaque, hic, deleniti. Sunt commodi tempora voluptatum dolorum.</p> <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint tenetur fugit vel, eligendi illum, placeat quo vero reiciendis
                                    consectetur tempora voluptatum dolorum.</p> </div>
                                    <a href="" class="vertical_btn">лайк</a>
                                </div>
                            </div>
                            <div class="vertical_column">
                                <div class="vertical_item">
                                    <div class="vertical_subtitle">буду рад</div>
                                    <div class="vertical_label">комментарию</div>
                                    <div class="vertical_text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna
                                    aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan lacus vel facilisis.</div>
                                    <a href="" class="vertical_btn">комментировать</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <footer class="footer">
            <div class="container">
                <div class="footer_row">
                    <div class="footer_text">Фрилансер по жизни 2019</div>
                </div>
            </div>
        </footer>
    </div>
</body>
</html>
